public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-shells/ksh/
Date: Mon,  5 Sep 2016 00:33:04 +0000 (UTC)	[thread overview]
Message-ID: <1473035583.396ed1a043ed4463735e018d7bf3b849e1f230ee.floppym@gentoo> (raw)

commit:     396ed1a043ed4463735e018d7bf3b849e1f230ee
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  5 00:31:20 2016 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Mon Sep  5 00:33:03 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=396ed1a0

app-shells/ksh: bump to 2016-01-10

Package-Manager: portage-2.3.0_p24

 app-shells/ksh/Manifest               |  1 +
 app-shells/ksh/ksh-93.20160110.ebuild | 52 +++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/app-shells/ksh/Manifest b/app-shells/ksh/Manifest
index 8a4c61c..a96b3d0 100644
--- a/app-shells/ksh/Manifest
+++ b/app-shells/ksh/Manifest
@@ -6,3 +6,4 @@ DIST ast-base.2011-02-08.tgz 6111018 SHA256 44ae3913e6c0c8992c6c3cba16864fd4c4a1
 DIST ast-base.2012-02-29.tgz 9068922 SHA256 08223dc93da5a8e3d1b46d772be16cdcfc11b6e41c00b696e8fcf7160b48541b SHA512 95cc909ecb5b2bbfae10a44650dfd1aabf2f2461e82f4c77137696a57c41361cded3e3c0697ab5cc9e63fb72645fe442f5fc32ca0a53370b5f43b396595c4d94 WHIRLPOOL f0324fd98b6f14e4001786620ccd56cf81e87dc68397d74fa214025da8cf605fe3f24d3f809aeef8d692287d898b57725769e77ce6f5d52ac24978bf8cd4671b
 DIST ast-base.2014-06-06.tgz 9605517 SHA256 c08c895f1412d80dc85227d9b9c77dbd55bedb586965972ebe14f6b0e5ac92db SHA512 265cd4763006471e4deb1ee79c6d668f7e56f2a721589054faa7b6fb103d65d963f9101c073f1b748be63d3195ef6dfbda2a3753d06de1d2517f8ed04cad3ff1 WHIRLPOOL 994f416cd9ffd19f3a14f5f6b27be265263541654f793143d896a91c86533928daf44b5154e1bcb01e8456ef3a0e0492f209dc8ca41cf77a110b45cbc3d4a19b
 DIST ast-base.2014-06-25.tgz 9609090 SHA256 58588b07b076f05dbbd5f4f095d5753309a8356ba1e5475262ce77d6bff42dae SHA512 3006dd187c6042798ffd6da5aad8d6340bf4fbad687338b2b9797556136966b65d90295eb267dba198a83ea5b651a9a339d9ff48179f3d7e25b3de76c41bf737 WHIRLPOOL b07c4809e729359d0ed613310f49fa391c199a225e4a3c589f9015af54d1159e199135ee4eadebd9d09f21f3131103550c1c17badc3a643943e3828df79d98d2
+DIST ksh-93.20160110.tar.gz 26416127 SHA256 59cf3c8e8945b593e10946bc0ae1172f62c18ddde1de0f7427599195aecbd591 SHA512 cf6e13e5f6b0fd62b12cbcd007c09306ba1ff7e733c207be34cb360b6b269b8e75f2134a32775c65626ea6cfbdf1bbffecab22c7b2ff244fe91981b3d8fa8688 WHIRLPOOL e7548707b3bb8d3ac8fab749f826ae4db775ca03af2fd51b7fcecd7ba766b64065d18a6ded1b64e1e9aecd4e8ef3bb613dfd744eaf788ca227068bb20d444d62

diff --git a/app-shells/ksh/ksh-93.20160110.ebuild b/app-shells/ksh/ksh-93.20160110.ebuild
new file mode 100644
index 00000000..9306af7
--- /dev/null
+++ b/app-shells/ksh/ksh-93.20160110.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs prefix eutils
+
+DESCRIPTION="The Original Korn Shell, 1993 revision (ksh93)"
+HOMEPAGE="http://www.kornshell.com/"
+
+COMMIT="c506cb548d9b4bcebef92c86e948657728760e15"
+SRC_URI="https://github.com/att/ast/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="CPL-1.0 EPL-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="!app-shells/pdksh"
+
+S="${WORKDIR}/ast-${COMMIT}"
+
+PATCHES=(
+	"${FILESDIR}"/ksh-prefix.patch
+	"${FILESDIR}"/cpp.patch
+)
+
+src_prepare() {
+	default
+
+	# Bug 238906.
+	sed -i -e 's,cd /tmp,cd "${TMPDIR:-/tmp}",' \
+		bin/package src/cmd/INIT/package.sh || die
+
+	eprefixify src/cmd/ksh93/data/msg.c
+}
+
+src_compile() {
+	tc-export AR CC LD NM
+	export CCFLAGS="${CFLAGS}"
+	sh bin/package flat only make ast-ksh SHELL=sh SHOPT_SYSRC=1 || die
+	# The build system doesn't exit properly
+	[[ -e bin/ksh ]] || die
+}
+
+src_install() {
+	into /
+	dobin bin/ksh
+	dosym ksh /bin/rksh
+	newman man/man1/sh.1 ksh.1
+}


             reply	other threads:[~2016-09-05  0:42 UTC|newest]

Thread overview: 62+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-09-05  0:33 Mike Gilbert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-11 11:29 [gentoo-commits] repo/gentoo:master commit in: app-shells/ksh/ Sam James
2024-07-03  5:38 Joonas Niilola
2024-07-03  2:33 Sam James
2024-07-03  2:10 Sam James
2024-07-03  2:10 Sam James
2024-07-03  2:10 Sam James
2024-07-03  0:54 Sam James
2024-07-03  0:54 Sam James
2024-01-09  2:40 Sam James
2024-01-09  1:02 Sam James
2023-09-18  9:50 Sam James
2022-12-27 19:53 Sam James
2022-12-27 19:45 Sam James
2022-12-27 13:40 Sam James
2022-12-27 11:31 Sam James
2022-12-02 18:44 WANG Xuerui
2022-11-23  0:27 Georgy Yakovlev
2022-11-23  0:27 Georgy Yakovlev
2022-09-19  6:27 Georgy Yakovlev
2022-09-16 20:57 Georgy Yakovlev
2022-09-16 20:57 Georgy Yakovlev
2022-09-16 20:57 Georgy Yakovlev
2022-02-16  7:01 Matt Turner
2021-12-27 20:08 Arthur Zamarin
2021-12-21 11:03 James Le Cuirot
2021-12-18  3:08 Georgy Yakovlev
2021-12-18  2:10 Sam James
2021-12-17 15:28 Stephan Hartmann
2021-12-15 16:53 Mike Gilbert
2021-12-15 15:48 Arthur Zamarin
2021-12-15  8:23 Arthur Zamarin
2021-12-15  7:57 Arthur Zamarin
2021-12-15  7:13 Georgy Yakovlev
2021-12-15  7:07 Georgy Yakovlev
2021-12-15  6:55 Georgy Yakovlev
2021-12-15  6:45 Georgy Yakovlev
2021-12-15  6:45 Georgy Yakovlev
2021-12-15  6:45 Georgy Yakovlev
2021-12-15  6:45 Georgy Yakovlev
2021-12-15  5:32 Georgy Yakovlev
2021-12-15  5:32 Georgy Yakovlev
2021-12-15  5:32 Georgy Yakovlev
2021-09-05 19:01 Mike Gilbert
2020-12-01 16:13 Mike Gilbert
2019-12-11 20:39 Mike Gilbert
2019-09-17  2:19 Mike Gilbert
2019-09-01 16:24 Mike Gilbert
2019-09-01 14:32 Mike Gilbert
2019-05-28  4:01 Mike Gilbert
2019-05-04 16:03 Mike Gilbert
2019-05-04 16:03 Mike Gilbert
2018-04-01 20:10 Mike Gilbert
2018-02-15 17:20 Mike Gilbert
2018-02-14 20:07 Mike Gilbert
2018-01-29 23:10 Mike Gilbert
2017-01-02  8:00 Justin Lecher
2016-12-30 11:12 Agostino Sarubbo
2016-12-30  9:39 Agostino Sarubbo
2016-05-31 15:05 Tobias Klausmann
2016-05-13  8:41 Agostino Sarubbo
2016-04-26 17:35 Markus Meier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1473035583.396ed1a043ed4463735e018d7bf3b849e1f230ee.floppym@gentoo \
    --to=floppym@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox